%if 0%{?fedora}
%global with_python3 1
%endif

%global eggname pyLibravatar
%global modname libravatar

Name:               python-pylibravatar
Version:            1.6
Release:            6%{?dist}
Summary:            Python module for Libravatar

Group:              Development/Libraries
# The full text of the license isn't shipped
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
License:            MIT
URL:                http://pypi.python.org/pypi/pyLibravatar
Source0:            http://pypi.python.org/packages/source/p/%{eggname}/%{eggname}-%{version}.tar.gz
# https://code.launchpad.net/~ralph-bean/pylibravatar/tcp-dns/+merge/263157
Patch0:             python-pylibravatar-dns-srv-tcp.patch

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-pydns

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-py3dns
%endif

Requires:           python-pydns

%description
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.

%if 0%{?with_python3}
%package -n python3-pylibravatar
Summary:            Python module for Libravatar
Group:              Development/Libraries

Requires:           python3-py3dns

%description -n python3-pylibravatar
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.
%endif

%prep
%setup -q -n %{eggname}-%{version}

%patch0

# Correct wrong-file-end-of-line-encoding rpmlint issue
sed -i 's/\r//' README.txt
sed -i 's/\r//' Changelog.txt

# Remove bundled egg-info in case it exists
rm -rf %{eggname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.txt Changelog.txt
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{eggname}-%{version}*

%if 0%{?with_python3}
%files -n python3-pylibravatar
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.txt Changelog.txt
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/*%{modname}*
%{python3_sitelib}/%{eggname}-%{version}-*
%endif

%changelog
* Fri Jun 26 2015 Ralph Bean <rbean@redhat.com> - 1.6-6
- Apply patch to use tcp for dns srv queries.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Sep 24 2013 Ralph Bean <rbean@redhat.com> - 1.6-2
- Fix file ownership in python3 subpackage.

* Tue Sep 24 2013 Ralph Bean <rbean@redhat.com> - 1.6-1
- Latest upstream with python3 support.
- Enable the python3 subpackage.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Ralph Bean <rbean@redhat.com> - 1.5-2
- Correct wrong-file-end-of-line-encoding rpmlint issue.

* Sat Apr 27 2013 Ralph Bean <rbean@redhat.com> - 1.5-1
- Initial packaging for Fedora.
- There is no test suite at this point.
- Upstream doesn't seem to ship the license full text at this point.
